# Class PaxumAccountPayload

#### Hierarchy

- unknown
  - PaxumAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:5045
- Defined in src/protobuf/pb_pb.d.ts:5057

#####
Index

### Constructors

constructor

### Methods

getEmail
serializeBinary
setEmail
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PaxumAccountPayload(): PaxumAccountPayload

- #### Returns PaxumAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getEmail

- getEmail(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5046

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5049

### setEmail

- setEmail(value: string): PaxumAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns PaxumAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5047

### toObject

- toObject(includeInstance?: boolean): PaxumAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PaxumAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5050

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PaxumAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PaxumAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5053

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PaxumAccountPayload, reader: BinaryReader): PaxumAccountPayload

- #### Parameters

  - ##### message: PaxumAccountPayload

  - ##### reader: BinaryReader

  #### Returns PaxumAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5054

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PaxumAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PaxumAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5052

### `Static` toObject

- toObject(includeInstance: boolean, msg: PaxumAccountPayload): PaxumAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PaxumAccountPayload

  #### Returns PaxumAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5051

Generated using TypeDoc